// Copyright (C) 1995 Don Yacktman
// Use is governed by the MiscKit license

#import "MiscStringInspector.h"
#import <appkit/appkit.h>
#import <misckit/MiscString.h>

@implementation MiscStringInspector

- init
{
    char buf[MAXPATHLEN + 1];
    id bundle;
    
    [super init];
    bundle = [NXBundle bundleForClass:[self class]];
    [bundle getPath:buf forResource:"MiscStringInspector" ofType:"nib"];
    [NXApp loadNibFile:buf owner:self withNames:NO fromZone:[self zone]];
    return self;
}

- (BOOL)wantsButtons { return YES; }

- revert:sender
{
	// Put string in text object
	[stringText setStringValue:[object stringValue]];
	return [super revert:sender];
}

- ok:sender
{
	[object setStringValue:[stringText stringValue]];
	return [super ok:sender];
}

@end
